/// <reference types="node" />
import { ReplOptions } from 'repl';
import { Bindings, DebugAsyncCommonOptions } from './core';
export declare const debugAsync: (bindings: Bindings, options?: DebugAsyncNodeOptions) => Promise<unknown>;
export interface DebugAsyncNodeOptions extends DebugAsyncCommonOptions {
    replOptions?: ReplOptions;
}
export declare function createDebugAsyncNode({ defaults: { contexts: contextsDefault, overrideProperties: overridePropertiesDefault, apiNamespace: apiNamespaceDefault, logger: loggerDefault, replOptions: replOptionsDefault, }, }?: {
    defaults?: DebugAsyncNodeOptions;
}): (bindings: Bindings, options?: DebugAsyncNodeOptions) => Promise<unknown>;
