import type { Bindings } from './core';
export declare function prepareDebugAsync(bindings: Bindings, apiNamespace: string): {
    extension: Map<string, () => unknown>;
    resultPromise: Promise<unknown>;
    api: {
        resumeExecution: (value?: unknown) => void;
        failExecution: (reason?: unknown) => void;
    };
    startMessage: string;
    stopMessage: string;
};
